<mat-card class="category-card">
    <mat-card-content class="card-content">
        <div class="main-details">
            <div class="img-section">
                <img defaultBookImage src={{categoryData.imageUrl}} alt="food image">
            </div>
            <div class="text-details">
                <div class="text-details-title">{{categoryData.categoryName}}</div>
            </div>
        </div>
        <div *ngIf="isAdmin=='admin'">  
        <div class="action-buttons flex-row layout-align-space-between-center">
            <button mat-icon-button>
                <mat-icon (click)="editCategory()">edit</mat-icon>
            </button>
            <button mat-icon-button>
                <mat-icon (click)="deleteCategory()">delete</mat-icon>
            </button>
        </div> 
    </div> 
    <div *ngIf="isAdmin=='user'|| isAdmin=='admin'">
        <div class="view-list">
            <button type="button" mat-raised-button color="accent" (click)="viewBooksInCategory()" class="book-btn"> View Books</button>
        </div>
    </div>
    </mat-card-content>
</mat-card>

